Subject: Re: [PATCH] ipv4: remove useless arg

From: tianyu2 <[email-masked]>
Date: Wed, 4 Dec 2024 11:16:02 +0800 (GMT+08:00)

> On 12/2/24 04:32, tianyu2 wrote:
> > The "struct sock *sk" parameter in ip_rcv_finish_core is unused, which
> > leads the compiler to optimize it out. As a result, the
> > "struct sk_buff *skb" parameter is passed using x1. And this make kprobe
> > hard to use.
> > 
> > Signed-off-by: tianyu2 <[email-masked]>
> 
> The patch code good, but the above does not look like a real name?!?
> 
> If so, please re-submit, using your real full name and including the
> target tree (net-next in this case) in the subj prefix.
> 
> See:
> https://elixir.bootlin.com/linux/v6.12.1/source/Documentation/process/submitting-patches.rst#L440
> https://elixir.bootlin.com/linux/v6.12.1/source/Documentation/process/maintainer-netdev.rst#L12
> 
> @Pablo: after this change will be merged, I *think* that a possible
> follow-up could drop the 'sk' arg from NF_HOOK_LIST and ip_rcv_finish() too.
> 
> Thanks!
> 
> Paolo

Thank you for the reminder. I’ll adjust the patch format in the next version.

If ip_rcv_finish is modified,  NF_HOOK/NF_HOOK_LIST also needs to be adjusted. I noticed that many places use NF_HOOK. These modifications should be fine, right?

However, I found that the ip_rcv_finish function doesn’t seem to be optimized by the compiler.
(ARM64)( gcc version 8.5.0 20210514 (Red Hat 8.5.0-4) (GCC) )

ffff800080faaf9c t ip_rcv_core.isra.26
ffff800080fab334 t ip_rcv_finish_core
ffff800080fab758 t ip_rcv_finish
ffff800080fab7b4 t ip_sublist_rcv